#
# spec file for package gettyps (Version 2.0.7j)
# 
# Copyright  (c)  2001  SuSE GmbH  Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
# 
# please send bugfixes or comments to feedback@suse.de.
#

# neededforbuild  
# usedforbuild    aaa_base aaa_dir autoconf automake base bash bindutil binutils bison bzip compress cpio cpp cracklib cyrus-sasl db devs diffutils e2fsprogs file fileutils findutils flex gawk gcc gdbm gdbm-devel gettext glibc glibc-devel gpm gppshare grep groff gzip kbd less libtool libz m4 make man mktemp modutils ncurses ncurses-devel net-tools netcfg pam pam-devel patch perl ps rcs readline rpm sendmail sh-utils shadow strace syslogd sysvinit texinfo textutils timezone unzip util-linux vim

Name:         gettyps
Copyright:    1989,1990 by Paul Sutcliffe Jr.
Group:        Applications/System
Provides:     getty getty_ps 
Autoreqprov:  on
Version:      2.0.7j
Release:      215
Summary:      Just another getty
Source: ftp://sunsite.unc.edu/pub/linux/system/serial/getty/getty_ps-%{version}.tar.gz
Patch: getty_ps-%{version}.dif
BuildRoot:    /var/tmp/%{name}-BUILD

%description
This getty is included because it supports ring-back.
Documentation:
man getty
man gettydefs
under /usr/share/doc/packages/gettyps you can find some examples.

Authors:
--------
    Kris Gleason <gleasokr@boulder.colorado.edu>

SuSE series: n

%prep
%setup -n getty_ps-%{version}
%patch

%build
make clean
make all

%install
install -d -m 755 ${RPM_BUILD_ROOT}/sbin
install -d -m 755 ${RPM_BUILD_ROOT}/usr/sbin
install -d -m 755 ${RPM_BUILD_ROOT}/%{_mandir}/man1
install -d -m 755 ${RPM_BUILD_ROOT}/%{_mandir}/man5
make install BIN=${RPM_BUILD_ROOT}/sbin UUBIN=${RPM_BUILD_ROOT}/sbin 
install -m 644 man/getty.1 ${RPM_BUILD_ROOT}/%{_mandir}/man1
install -m 644 man/gettydefs.5 ${RPM_BUILD_ROOT}/%{_mandir}/man5
ln -s ../../sbin/getty ${RPM_BUILD_ROOT}/usr/sbin/getty
ln -s ../../sbin/uugetty ${RPM_BUILD_ROOT}/usr/sbin/uugetty

%clean
rm -rf $RPM_BUILD_ROOT

%files
%attr(644,root,root) %doc README* ChangeLog Examples
%doc %{_mandir}/*/*
/sbin/*
/usr/sbin/*

%changelog -n gettyps
* Mon Jul 02 2001 - cihlar@suse.cz
- added backward compatibility links
* Fri May 25 2001 - pblaha@suse.cz
- fix include on ia64
* Sat Dec 09 2000 - nashif@suse.de
- sorted
* Mon May 29 2000 - kukuk@suse.de
- Fix %%attr, rpm doesn't like numbers
* Tue May 02 2000 - smid@suse.cz
- /usr/sbin/* to /sbin/*
* Wed Apr 05 2000 - smid@suse.cz
- buildroot added
- documentation cleanup
* Thu Jan 20 2000 - ro@suse.de
- specfile cleanup
- update to 2.0.7j
- man to /usr/share/man
* Mon Sep 13 1999 - bs@suse.de
- ran old prepare_spec on spec file to switch to new prepare_spec.
* Tue Aug 24 1999 - uli@suse.de
- added -fsigned-char to CFLAGS (PPC)
* Mon Sep 14 1998 - ro@suse.de
- added patches for glibc / signal handling
